Bug 182867 - [maintainer-update] news/nzbget update to 11.0 and bugfixes.
[maintainer-update] news/nzbget update to 11.0 and bugfixes.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Danilo Egea Gondolfo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 08:20 UTC by Toxic
Modified: 2013-10-11 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.12 KB, patch)
2013-10-10 08:20 UTC, Toxic
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toxic 2013-10-10 08:20:00 UTC
Update nzbget to 11.0, released 7/1/2013
Remove gmake, which is no longer necessary and was causing some clang builds to fail (including on 10-CURRENT).
Fix bug reported in PR# ports/177669

Fix: --Patch follows--
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-10-10 15:40:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter freebsd_committer 2013-10-11 06:57:22 UTC
Author: danilo
Date: Fri Oct 11 05:57:14 2013
New Revision: 330057
URL: http://svnweb.freebsd.org/changeset/ports/330057

Log:
  - Update from 10.2 to 11.0 [1]
  - Remove gmake from USES [1]
  - Convert LIB_DEPENDS to new syntax
  - Add options helpers
  - Add stage support
  
  PR:		ports/182867
  Submitted by:	Jeff Burchell <toxic@doobie.com> (maintainer) [1]
  Approved by:	wg/culot (mentors, implicit)

Modified:
  head/news/nzbget/Makefile
  head/news/nzbget/distinfo
  head/news/nzbget/pkg-plist

Modified: head/news/nzbget/Makefile
==============================================================================
--- head/news/nzbget/Makefile	Fri Oct 11 05:34:28 2013	(r330056)
+++ head/news/nzbget/Makefile	Fri Oct 11 05:57:14 2013	(r330057)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	nzbget
-PORTVERSION=	10.2
+PORTVERSION=	11.0
 CATEGORIES=	news
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-stable/${PORTVERSION}
 
@@ -11,50 +11,50 @@ COMMENT=	Binary newsreader supporting NZ
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	xml2:${PORTSDIR}/textproc/libxml2 \
-		sigc-2:${PORTSDIR}/devel/libsigc++20
+LIB_DEPENDS=	libxml2.so:${PORTSDIR}/textproc/libxml2 \
+		libsigc-2.0.so:${PORTSDIR}/devel/libsigc++20
 
-USES=		gmake pkgconfig
+USES=		pkgconfig
 USE_RC_SUBR=	nzbget
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	LOCALBASE="${LOCALBASE}"
-MAKE_JOBS_UNSAFE=yes
+MAKE_JOBS_UNSAFE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	${PTHREAD_LIBS}
 CFLAGS+=	${PTHREAD_CFLAGS}
 
-PAR_DESC=	Support verifying/repairing with par2 files
 OPTIONS_DEFINE=	PAR
 OPTIONS_SINGLE=	TLSLIB
 OPTIONS_SINGLE_TLSLIB=	GNUTLS OPENSSL
 OPTIONS_DEFAULT=	PAR GNUTLS
+PAR_DESC=	Support verifying/repairing with par2 files
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
+PAR_CONFIGURE_ON=	--enable-parcheck --disable-libpar2-bugfixes-check
+PAR_CONFIGURE_OFF=	--disable-parcheck
+PAR_LIB_DEPENDS=	libpar2.so:${PORTSDIR}/archivers/libpar2
+
+OPENSSL_CONFIGURE_ON=	--with-tlslib=OpenSSL \
+			--with-openssl-includes=${OPENSSLINC} \
+			--with-openssl-libraries=${OPENSSLLIB}
+
+GNUTLS_CONFIGURE_ON=	--with-tlslib=GnuTLS
+GNUTLS_LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls \
+			libgcrypt.so:${PORTSDIR}/security/libgcrypt
 
-.if ${PORT_OPTIONS:MPAR}
- CONFIGURE_ARGS+= --enable-parcheck --disable-libpar2-bugfixes-check
- LIB_DEPENDS+=	par2:${PORTSDIR}/archivers/libpar2
-.else
- CONFIGURE_ARGS+= --disable-parcheck
-.endif
+CONFIGURE_ARGS+=	--enable-sigchld-handler
+
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MOPENSSL}
  USE_OPENSSL=	yes
- CONFIGURE_ARGS+= --with-tlslib=OpenSSL \
-		--with-openssl-includes=${OPENSSLINC} \
-		--with-openssl-libraries=${OPENSSLLIB}
 .endif
 
-.if ${PORT_OPTIONS:MGNUTLS}
- CONFIGURE_ARGS+=	--with-tlslib=GnuTLS
- LIB_DEPENDS+=	gnutls:${PORTSDIR}/security/gnutls
- LIB_DEPENDS+=	gcrypt:${PORTSDIR}/security/libgcrypt
-.endif
+post-configure:
+	# necessary for stage
+	@${REINPLACE_CMD} -e 's|555|655|g ; s|444|644|' ${WRKSRC}/Makefile
 
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/nzbget.conf ${PREFIX}/etc/nzbget.conf.sample
-	@[ -f ${PREFIX}/etc/nzbget.conf ] || ${CP} ${PREFIX}/etc/nzbget.conf.sample \
-	${PREFIX}/etc/nzbget.conf
+	${INSTALL_DATA} ${WRKSRC}/nzbget.conf \
+		${STAGEDIR}${PREFIX}/etc/nzbget.conf.sample
 
 .include <bsd.port.mk>

Modified: head/news/nzbget/distinfo
==============================================================================
--- head/news/nzbget/distinfo	Fri Oct 11 05:34:28 2013	(r330056)
+++ head/news/nzbget/distinfo	Fri Oct 11 05:57:14 2013	(r330057)
@@ -1,2 +1,2 @@
-SHA256 (nzbget-10.2.tar.gz) = c9b878744c162e7721ffc8b048a2e4550a8ed8da6e706ee4cbd026ed2d612ec2
-SIZE (nzbget-10.2.tar.gz) = 671808
+SHA256 (nzbget-11.0.tar.gz) = 27abacf6c604969dc987b7e50689caef22a65dbb1690b020b0c6d147ae123b3d
+SIZE (nzbget-11.0.tar.gz) = 694197

Modified: head/news/nzbget/pkg-plist
==============================================================================
--- head/news/nzbget/pkg-plist	Fri Oct 11 05:34:28 2013	(r330056)
+++ head/news/nzbget/pkg-plist	Fri Oct 11 05:57:14 2013	(r330057)
@@ -1,8 +1,6 @@
 bin/nzbget
-bin/nzbget-postprocess.sh
 sbin/nzbgetd
 %%DATADIR%%/nzbget.conf
-%%DATADIR%%/nzbget-postprocess.conf
 %%DATADIR%%/webui/config.js
 %%DATADIR%%/webui/downloads.js
 %%DATADIR%%/webui/edit.js
@@ -24,8 +22,6 @@ sbin/nzbgetd
 %%DATADIR%%/webui/lib/jquery.js
 %%DATADIR%%/webui/lib/jquery.min.js
 %%DATADIR%%/webui/messages.js
-%%DATADIR%%/webui/nzbget-postprocess.conf
-%%DATADIR%%/webui/nzbget.conf
 %%DATADIR%%/webui/status.js
 %%DATADIR%%/webui/style.css
 %%DATADIR%%/webui/upload.js
@@ -33,6 +29,9 @@ sbin/nzbgetd
 %%PORTDOCS%%%%DOCSDIR%%/COPYING
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
 %%PORTDOCS%%%%DOCSDIR%%/README
+%%DATADIR%%/ppscripts/EMail.py
+%%DATADIR%%/ppscripts/Logger.py
+@dirrmtry %%DATADIR%%/ppscripts
 @dirrm %%DATADIR%%/webui/img
 @dirrm %%DATADIR%%/webui/lib
 @dirrm %%DATADIR%%/webui
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-10-11 06:57:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!